using System.Runtime.CompilerServices;
using Fantasy;
using Fantasy.Async;
using Fantasy.Network;
using System.Collections.Generic;
#pragma warning disable CS8618
namespace Fantasy
{
   public static class NetworkProtocolHelper
   {
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_GetItemsResponse> C2Game_GetItemsRequest(this Session session, C2Game_GetItemsRequest C2Game_GetItemsRequest_request)
		{
			return (Game2C_GetItemsResponse)await session.Call(C2Game_GetItemsRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_GetItemsResponse> C2Game_GetItemsRequest(this Session session)
		{
			using var C2Game_GetItemsRequest_request = Fantasy.C2Game_GetItemsRequest.Create();
			return (Game2C_GetItemsResponse)await session.Call(C2Game_GetItemsRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_UseItemResponse> C2Game_UseItemRequest(this Session session, C2Game_UseItemRequest C2Game_UseItemRequest_request)
		{
			return (Game2C_UseItemResponse)await session.Call(C2Game_UseItemRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_UseItemResponse> C2Game_UseItemRequest(this Session session, long itemId)
		{
			using var C2Game_UseItemRequest_request = Fantasy.C2Game_UseItemRequest.Create();
			C2Game_UseItemRequest_request.ItemId = itemId;
			return (Game2C_UseItemResponse)await session.Call(C2Game_UseItemRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Game2C_ItemChange(this Session session, Game2C_ItemChange Game2C_ItemChange_message)
		{
			session.Send(Game2C_ItemChange_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Game2C_ItemChange(this Session session, int type, List<ItemInfo> items, List<long> removes)
		{
			using var Game2C_ItemChange_message = Fantasy.Game2C_ItemChange.Create();
			Game2C_ItemChange_message.Type = type;
			Game2C_ItemChange_message.Items = items;
			Game2C_ItemChange_message.Removes = removes;
			session.Send(Game2C_ItemChange_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_RigChangeResponse> C2Game_RigChangeRequest(this Session session, C2Game_RigChangeRequest C2Game_RigChangeRequest_request)
		{
			return (Game2C_RigChangeResponse)await session.Call(C2Game_RigChangeRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_RigChangeResponse> C2Game_RigChangeRequest(this Session session, long itemId, long rigId, long oldRigId, bool isAdd)
		{
			using var C2Game_RigChangeRequest_request = Fantasy.C2Game_RigChangeRequest.Create();
			C2Game_RigChangeRequest_request.ItemId = itemId;
			C2Game_RigChangeRequest_request.RigId = rigId;
			C2Game_RigChangeRequest_request.OldRigId = oldRigId;
			C2Game_RigChangeRequest_request.IsAdd = isAdd;
			return (Game2C_RigChangeResponse)await session.Call(C2Game_RigChangeRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_SetSlotResponse> C2Game_SetSlotRequest(this Session session, C2Game_SetSlotRequest C2Game_SetSlotRequest_request)
		{
			return (Game2C_SetSlotResponse)await session.Call(C2Game_SetSlotRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_SetSlotResponse> C2Game_SetSlotRequest(this Session session, int index, long id)
		{
			using var C2Game_SetSlotRequest_request = Fantasy.C2Game_SetSlotRequest.Create();
			C2Game_SetSlotRequest_request.Index = index;
			C2Game_SetSlotRequest_request.Id = id;
			return (Game2C_SetSlotResponse)await session.Call(C2Game_SetSlotRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_GetFishsResponse> C2Game_GetFishsRequest(this Session session, C2Game_GetFishsRequest C2Game_GetFishsRequest_request)
		{
			return (Game2C_GetFishsResponse)await session.Call(C2Game_GetFishsRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_GetFishsResponse> C2Game_GetFishsRequest(this Session session)
		{
			using var C2Game_GetFishsRequest_request = Fantasy.C2Game_GetFishsRequest.Create();
			return (Game2C_GetFishsResponse)await session.Call(C2Game_GetFishsRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Game2C_FishChange(this Session session, Game2C_FishChange Game2C_FishChange_message)
		{
			session.Send(Game2C_FishChange_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Game2C_FishChange(this Session session, int type, List<FishInfo> fishs, List<long> removes)
		{
			using var Game2C_FishChange_message = Fantasy.Game2C_FishChange.Create();
			Game2C_FishChange_message.Type = type;
			Game2C_FishChange_message.Fishs = fishs;
			Game2C_FishChange_message.Removes = removes;
			session.Send(Game2C_FishChange_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_SellFishResponse> C2Game_SellFishRequest(this Session session, C2Game_SellFishRequest C2Game_SellFishRequest_request)
		{
			return (Game2C_SellFishResponse)await session.Call(C2Game_SellFishRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_SellFishResponse> C2Game_SellFishRequest(this Session session, List<long> ids)
		{
			using var C2Game_SellFishRequest_request = Fantasy.C2Game_SellFishRequest.Create();
			C2Game_SellFishRequest_request.Ids = ids;
			return (Game2C_SellFishResponse)await session.Call(C2Game_SellFishRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_GetShopItemsResponse> C2Game_GetShopItemsRequest(this Session session, C2Game_GetShopItemsRequest C2Game_GetShopItemsRequest_request)
		{
			return (Game2C_GetShopItemsResponse)await session.Call(C2Game_GetShopItemsRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_GetShopItemsResponse> C2Game_GetShopItemsRequest(this Session session, uint shop)
		{
			using var C2Game_GetShopItemsRequest_request = Fantasy.C2Game_GetShopItemsRequest.Create();
			C2Game_GetShopItemsRequest_request.Shop = shop;
			return (Game2C_GetShopItemsResponse)await session.Call(C2Game_GetShopItemsRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_GetFishsResponse> C2Game_BuyRequest(this Session session, C2Game_BuyRequest C2Game_BuyRequest_request)
		{
			return (Game2C_GetFishsResponse)await session.Call(C2Game_BuyRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_GetFishsResponse> C2Game_BuyRequest(this Session session, uint buyId)
		{
			using var C2Game_BuyRequest_request = Fantasy.C2Game_BuyRequest.Create();
			C2Game_BuyRequest_request.BuyId = buyId;
			return (Game2C_GetFishsResponse)await session.Call(C2Game_BuyRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Game2C_RewardNotify(this Session session, Game2C_RewardNotify Game2C_RewardNotify_message)
		{
			session.Send(Game2C_RewardNotify_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Game2C_RewardNotify(this Session session, List<AwardInfo> awards)
		{
			using var Game2C_RewardNotify_message = Fantasy.Game2C_RewardNotify.Create();
			Game2C_RewardNotify_message.Awards = awards;
			session.Send(Game2C_RewardNotify_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_GMResponse> C2Game_GMRequest(this Session session, C2Game_GMRequest C2Game_GMRequest_request)
		{
			return (Game2C_GMResponse)await session.Call(C2Game_GMRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_GMResponse> C2Game_GMRequest(this Session session, string cmd, string args)
		{
			using var C2Game_GMRequest_request = Fantasy.C2Game_GMRequest.Create();
			C2Game_GMRequest_request.Cmd = cmd;
			C2Game_GMRequest_request.Args = args;
			return (Game2C_GMResponse)await session.Call(C2Game_GMRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Map2C_CreateRoomResponse> C2Map_CreateRoomRequest(this Session session, C2Map_CreateRoomRequest C2Map_CreateRoomRequest_request)
		{
			return (Map2C_CreateRoomResponse)await session.Call(C2Map_CreateRoomRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Map2C_CreateRoomResponse> C2Map_CreateRoomRequest(this Session session, int mapId)
		{
			using var C2Map_CreateRoomRequest_request = Fantasy.C2Map_CreateRoomRequest.Create();
			C2Map_CreateRoomRequest_request.MapId = mapId;
			return (Map2C_CreateRoomResponse)await session.Call(C2Map_CreateRoomRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<G2C_ExitRoomResponse> C2G_ExitRoomRequest(this Session session, C2G_ExitRoomRequest C2G_ExitRoomRequest_request)
		{
			return (G2C_ExitRoomResponse)await session.Call(C2G_ExitRoomRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<G2C_ExitRoomResponse> C2G_ExitRoomRequest(this Session session, string roomCode)
		{
			using var C2G_ExitRoomRequest_request = Fantasy.C2G_ExitRoomRequest.Create();
			C2G_ExitRoomRequest_request.RoomCode = roomCode;
			return (G2C_ExitRoomResponse)await session.Call(C2G_ExitRoomRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<G2C_EnterMapResponse> C2G_EnterMapRequest(this Session session, C2G_EnterMapRequest C2G_EnterMapRequest_request)
		{
			return (G2C_EnterMapResponse)await session.Call(C2G_EnterMapRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<G2C_EnterMapResponse> C2G_EnterMapRequest(this Session session, string roomCode, int mapId)
		{
			using var C2G_EnterMapRequest_request = Fantasy.C2G_EnterMapRequest.Create();
			C2G_EnterMapRequest_request.RoomCode = roomCode;
			C2G_EnterMapRequest_request.MapId = mapId;
			return (G2C_EnterMapResponse)await session.Call(C2G_EnterMapRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Map2C_ChangeMap(this Session session, Map2C_ChangeMap Map2C_ChangeMap_message)
		{
			session.Send(Map2C_ChangeMap_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Map2C_ChangeMap(this Session session, int mapId, int node)
		{
			using var Map2C_ChangeMap_message = Fantasy.Map2C_ChangeMap.Create();
			Map2C_ChangeMap_message.MapId = mapId;
			Map2C_ChangeMap_message.Node = node;
			session.Send(Map2C_ChangeMap_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<A2C_LoginResponse> C2A_LoginRequest(this Session session, C2A_LoginRequest C2A_LoginRequest_request)
		{
			return (A2C_LoginResponse)await session.Call(C2A_LoginRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<A2C_LoginResponse> C2A_LoginRequest(this Session session, string username, string password, int loginType, int region)
		{
			using var C2A_LoginRequest_request = Fantasy.C2A_LoginRequest.Create();
			C2A_LoginRequest_request.Username = username;
			C2A_LoginRequest_request.Password = password;
			C2A_LoginRequest_request.LoginType = loginType;
			C2A_LoginRequest_request.Region = region;
			return (A2C_LoginResponse)await session.Call(C2A_LoginRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<G2C_LoginResponse> C2G_LoginRequest(this Session session, C2G_LoginRequest C2G_LoginRequest_request)
		{
			return (G2C_LoginResponse)await session.Call(C2G_LoginRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<G2C_LoginResponse> C2G_LoginRequest(this Session session, string toKen)
		{
			using var C2G_LoginRequest_request = Fantasy.C2G_LoginRequest.Create();
			C2G_LoginRequest_request.ToKen = toKen;
			return (G2C_LoginResponse)await session.Call(C2G_LoginRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void G2C_RepeatLogin(this Session session, G2C_RepeatLogin G2C_RepeatLogin_message)
		{
			session.Send(G2C_RepeatLogin_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void G2C_RepeatLogin(this Session session)
		{
			using var message = Fantasy.G2C_RepeatLogin.Create();
			session.Send(message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_GetRoleInfoResponse> C2Game_GetRoleInfoRequest(this Session session, C2Game_GetRoleInfoRequest C2Game_GetRoleInfoRequest_request)
		{
			return (Game2C_GetRoleInfoResponse)await session.Call(C2Game_GetRoleInfoRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Game2C_GetRoleInfoResponse> C2Game_GetRoleInfoRequest(this Session session)
		{
			using var C2Game_GetRoleInfoRequest_request = Fantasy.C2Game_GetRoleInfoRequest.Create();
			return (Game2C_GetRoleInfoResponse)await session.Call(C2Game_GetRoleInfoRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Map2C_RoleEnterRoomNotify(this Session session, Map2C_RoleEnterRoomNotify Map2C_RoleEnterRoomNotify_message)
		{
			session.Send(Map2C_RoleEnterRoomNotify_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Map2C_RoleEnterRoomNotify(this Session session, MapUnitInfo info)
		{
			using var Map2C_RoleEnterRoomNotify_message = Fantasy.Map2C_RoleEnterRoomNotify.Create();
			Map2C_RoleEnterRoomNotify_message.Info = info;
			session.Send(Map2C_RoleEnterRoomNotify_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Map2C_RoleExitRoomNotify(this Session session, Map2C_RoleExitRoomNotify Map2C_RoleExitRoomNotify_message)
		{
			session.Send(Map2C_RoleExitRoomNotify_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Map2C_RoleExitRoomNotify(this Session session, long id)
		{
			using var Map2C_RoleExitRoomNotify_message = Fantasy.Map2C_RoleExitRoomNotify.Create();
			Map2C_RoleExitRoomNotify_message.Id = id;
			session.Send(Map2C_RoleExitRoomNotify_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Map2C_TakeItemResponse> C2Map_TakeItemRequest(this Session session, C2Map_TakeItemRequest C2Map_TakeItemRequest_request)
		{
			return (Map2C_TakeItemResponse)await session.Call(C2Map_TakeItemRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Map2C_TakeItemResponse> C2Map_TakeItemRequest(this Session session, int id, bool task)
		{
			using var C2Map_TakeItemRequest_request = Fantasy.C2Map_TakeItemRequest.Create();
			C2Map_TakeItemRequest_request.Id = id;
			C2Map_TakeItemRequest_request.Task = task;
			return (Map2C_TakeItemResponse)await session.Call(C2Map_TakeItemRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void C2Map_RolePropertyChange(this Session session, C2Map_RolePropertyChange C2Map_RolePropertyChange_message)
		{
			session.Send(C2Map_RolePropertyChange_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void C2Map_RolePropertyChange(this Session session, List<KeyValueInt64> propertys)
		{
			using var C2Map_RolePropertyChange_message = Fantasy.C2Map_RolePropertyChange.Create();
			C2Map_RolePropertyChange_message.Propertys = propertys;
			session.Send(C2Map_RolePropertyChange_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Map2C_RoleStateNotify(this Session session, Map2C_RoleStateNotify Map2C_RoleStateNotify_message)
		{
			session.Send(Map2C_RoleStateNotify_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Map2C_RoleStateNotify(this Session session, long id, UnitStateInfo state)
		{
			using var Map2C_RoleStateNotify_message = Fantasy.Map2C_RoleStateNotify.Create();
			Map2C_RoleStateNotify_message.Id = id;
			Map2C_RoleStateNotify_message.State = state;
			session.Send(Map2C_RoleStateNotify_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Map2C_RoleGearChangeNotify(this Session session, Map2C_RoleGearChangeNotify Map2C_RoleGearChangeNotify_message)
		{
			session.Send(Map2C_RoleGearChangeNotify_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Map2C_RoleGearChangeNotify(this Session session, long id, List<GearInfo> gears)
		{
			using var Map2C_RoleGearChangeNotify_message = Fantasy.Map2C_RoleGearChangeNotify.Create();
			Map2C_RoleGearChangeNotify_message.Id = id;
			Map2C_RoleGearChangeNotify_message.Gears = gears;
			session.Send(Map2C_RoleGearChangeNotify_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Map2C_RolePropertyChangeNotify(this Session session, Map2C_RolePropertyChangeNotify Map2C_RolePropertyChangeNotify_message)
		{
			session.Send(Map2C_RolePropertyChangeNotify_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Map2C_RolePropertyChangeNotify(this Session session, long id, List<KeyValueInt64> propertys)
		{
			using var Map2C_RolePropertyChangeNotify_message = Fantasy.Map2C_RolePropertyChangeNotify.Create();
			Map2C_RolePropertyChangeNotify_message.Id = id;
			Map2C_RolePropertyChangeNotify_message.Propertys = propertys;
			session.Send(Map2C_RolePropertyChangeNotify_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void C2Map_Move(this Session session, C2Map_Move C2Map_Move_message)
		{
			session.Send(C2Map_Move_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void C2Map_Move(this Session session, Vector3Info position, Vector3Info rotation, Vector3Info direction, bool isStop, bool isRun, long timestamp)
		{
			using var C2Map_Move_message = Fantasy.C2Map_Move.Create();
			C2Map_Move_message.Position = position;
			C2Map_Move_message.Rotation = rotation;
			C2Map_Move_message.Direction = direction;
			C2Map_Move_message.IsStop = isStop;
			C2Map_Move_message.IsRun = isRun;
			C2Map_Move_message.Timestamp = timestamp;
			session.Send(C2Map_Move_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void C2Map_Look(this Session session, C2Map_Look C2Map_Look_message)
		{
			session.Send(C2Map_Look_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void C2Map_Look(this Session session, Vector3Info rotation, long timestamp)
		{
			using var C2Map_Look_message = Fantasy.C2Map_Look.Create();
			C2Map_Look_message.Rotation = rotation;
			C2Map_Look_message.Timestamp = timestamp;
			session.Send(C2Map_Look_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Map2C_MoveNotify(this Session session, Map2C_MoveNotify Map2C_MoveNotify_message)
		{
			session.Send(Map2C_MoveNotify_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Map2C_MoveNotify(this Session session, long id, Vector3Info position, Vector3Info rotation, Vector3Info direction, bool isStop, bool isRun, long timestamp)
		{
			using var Map2C_MoveNotify_message = Fantasy.Map2C_MoveNotify.Create();
			Map2C_MoveNotify_message.Id = id;
			Map2C_MoveNotify_message.Position = position;
			Map2C_MoveNotify_message.Rotation = rotation;
			Map2C_MoveNotify_message.Direction = direction;
			Map2C_MoveNotify_message.IsStop = isStop;
			Map2C_MoveNotify_message.IsRun = isRun;
			Map2C_MoveNotify_message.Timestamp = timestamp;
			session.Send(Map2C_MoveNotify_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Map2C_LookeNotify(this Session session, Map2C_LookeNotify Map2C_LookeNotify_message)
		{
			session.Send(Map2C_LookeNotify_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Map2C_LookeNotify(this Session session, long id, Vector3Info rotation, long timestamp)
		{
			using var Map2C_LookeNotify_message = Fantasy.Map2C_LookeNotify.Create();
			Map2C_LookeNotify_message.Id = id;
			Map2C_LookeNotify_message.Rotation = rotation;
			Map2C_LookeNotify_message.Timestamp = timestamp;
			session.Send(Map2C_LookeNotify_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_GetConversationsResponse> C2S_GetConversationsRequest(this Session session, C2S_GetConversationsRequest C2S_GetConversationsRequest_request)
		{
			return (S2C_GetConversationsResponse)await session.Call(C2S_GetConversationsRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_GetConversationsResponse> C2S_GetConversationsRequest(this Session session)
		{
			using var C2S_GetConversationsRequest_request = Fantasy.C2S_GetConversationsRequest.Create();
			return (S2C_GetConversationsResponse)await session.Call(C2S_GetConversationsRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_SendMailResponse> C2S_SendMailRequest(this Session session, C2S_SendMailRequest C2S_SendMailRequest_request)
		{
			return (S2C_SendMailResponse)await session.Call(C2S_SendMailRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_SendMailResponse> C2S_SendMailRequest(this Session session, long target, string content, List<AwardInfo> items)
		{
			using var C2S_SendMailRequest_request = Fantasy.C2S_SendMailRequest.Create();
			C2S_SendMailRequest_request.Target = target;
			C2S_SendMailRequest_request.Content = content;
			C2S_SendMailRequest_request.Items = items;
			return (S2C_SendMailResponse)await session.Call(C2S_SendMailRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_DeleteMailResponse> C2S_DeleteMailRequest(this Session session, C2S_DeleteMailRequest C2S_DeleteMailRequest_request)
		{
			return (S2C_DeleteMailResponse)await session.Call(C2S_DeleteMailRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_DeleteMailResponse> C2S_DeleteMailRequest(this Session session, long id)
		{
			using var C2S_DeleteMailRequest_request = Fantasy.C2S_DeleteMailRequest.Create();
			C2S_DeleteMailRequest_request.Id = id;
			return (S2C_DeleteMailResponse)await session.Call(C2S_DeleteMailRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void S2C_HaveMail(this Session session, S2C_HaveMail S2C_HaveMail_message)
		{
			session.Send(S2C_HaveMail_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void S2C_HaveMail(this Session session, MailInfo mail, string key)
		{
			using var S2C_HaveMail_message = Fantasy.S2C_HaveMail.Create();
			S2C_HaveMail_message.Mail = mail;
			S2C_HaveMail_message.Key = key;
			session.Send(S2C_HaveMail_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void S2C_MailState(this Session session, S2C_MailState S2C_MailState_message)
		{
			session.Send(S2C_MailState_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void S2C_MailState(this Session session, int mailState, long mailId)
		{
			using var S2C_MailState_message = Fantasy.S2C_MailState.Create();
			S2C_MailState_message.MailState = mailState;
			S2C_MailState_message.MailId = mailId;
			session.Send(S2C_MailState_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Chat2C_SendMessageResponse> C2Chat_SendMessageRequest(this Session session, C2Chat_SendMessageRequest C2Chat_SendMessageRequest_request)
		{
			return (Chat2C_SendMessageResponse)await session.Call(C2Chat_SendMessageRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<Chat2C_SendMessageResponse> C2Chat_SendMessageRequest(this Session session, ChatInfoTree chatInfoTree)
		{
			using var C2Chat_SendMessageRequest_request = Fantasy.C2Chat_SendMessageRequest.Create();
			C2Chat_SendMessageRequest_request.ChatInfoTree = chatInfoTree;
			return (Chat2C_SendMessageResponse)await session.Call(C2Chat_SendMessageRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Chat2C_Message(this Session session, Chat2C_Message Chat2C_Message_message)
		{
			session.Send(Chat2C_Message_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void Chat2C_Message(this Session session, ChatInfoTree chatInfoTree)
		{
			using var Chat2C_Message_message = Fantasy.Chat2C_Message.Create();
			Chat2C_Message_message.ChatInfoTree = chatInfoTree;
			session.Send(Chat2C_Message_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_CreateChannelResponse> C2S_CreateChannelRequest(this Session session, C2S_CreateChannelRequest C2S_CreateChannelRequest_request)
		{
			return (S2C_CreateChannelResponse)await session.Call(C2S_CreateChannelRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_CreateChannelResponse> C2S_CreateChannelRequest(this Session session, string name)
		{
			using var C2S_CreateChannelRequest_request = Fantasy.C2S_CreateChannelRequest.Create();
			C2S_CreateChannelRequest_request.Name = name;
			return (S2C_CreateChannelResponse)await session.Call(C2S_CreateChannelRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_JoinChannelResponse> C2S_JoinChannelRequest(this Session session, C2S_JoinChannelRequest C2S_JoinChannelRequest_request)
		{
			return (S2C_JoinChannelResponse)await session.Call(C2S_JoinChannelRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_JoinChannelResponse> C2S_JoinChannelRequest(this Session session, long target)
		{
			using var C2S_JoinChannelRequest_request = Fantasy.C2S_JoinChannelRequest.Create();
			C2S_JoinChannelRequest_request.Target = target;
			return (S2C_JoinChannelResponse)await session.Call(C2S_JoinChannelRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_SendMessageResponse> C2S_SendMessageRequest(this Session session, C2S_SendMessageRequest C2S_SendMessageRequest_request)
		{
			return (S2C_SendMessageResponse)await session.Call(C2S_SendMessageRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_SendMessageResponse> C2S_SendMessageRequest(this Session session, string message, long target)
		{
			using var C2S_SendMessageRequest_request = Fantasy.C2S_SendMessageRequest.Create();
			C2S_SendMessageRequest_request.Message = message;
			C2S_SendMessageRequest_request.Target = target;
			return (S2C_SendMessageResponse)await session.Call(C2S_SendMessageRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void S2C_Message(this Session session, S2C_Message S2C_Message_message)
		{
			session.Send(S2C_Message_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void S2C_Message(this Session session, ChatMessageInfo msg)
		{
			using var S2C_Message_message = Fantasy.S2C_Message.Create();
			S2C_Message_message.Msg = msg;
			session.Send(S2C_Message_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_CreateClubResponse> C2S_CreateClubRequest(this Session session, C2S_CreateClubRequest C2S_CreateClubRequest_request)
		{
			return (S2C_CreateClubResponse)await session.Call(C2S_CreateClubRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_CreateClubResponse> C2S_CreateClubRequest(this Session session, string name)
		{
			using var C2S_CreateClubRequest_request = Fantasy.C2S_CreateClubRequest.Create();
			C2S_CreateClubRequest_request.Name = name;
			return (S2C_CreateClubResponse)await session.Call(C2S_CreateClubRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_GetClubInfoResponse> C2S_GetClubInfoRequest(this Session session, C2S_GetClubInfoRequest C2S_GetClubInfoRequest_request)
		{
			return (S2C_GetClubInfoResponse)await session.Call(C2S_GetClubInfoRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_GetClubInfoResponse> C2S_GetClubInfoRequest(this Session session, long clubId)
		{
			using var C2S_GetClubInfoRequest_request = Fantasy.C2S_GetClubInfoRequest.Create();
			C2S_GetClubInfoRequest_request.ClubId = clubId;
			return (S2C_GetClubInfoResponse)await session.Call(C2S_GetClubInfoRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_GetMemberListResponse> C2S_GetMemberListRequest(this Session session, C2S_GetMemberListRequest C2S_GetMemberListRequest_request)
		{
			return (S2C_GetMemberListResponse)await session.Call(C2S_GetMemberListRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_GetMemberListResponse> C2S_GetMemberListRequest(this Session session, long clubId)
		{
			using var C2S_GetMemberListRequest_request = Fantasy.C2S_GetMemberListRequest.Create();
			C2S_GetMemberListRequest_request.ClubId = clubId;
			return (S2C_GetMemberListResponse)await session.Call(C2S_GetMemberListRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_GetClubListResponse> C2S_GetClubListRequest(this Session session, C2S_GetClubListRequest C2S_GetClubListRequest_request)
		{
			return (S2C_GetClubListResponse)await session.Call(C2S_GetClubListRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_GetClubListResponse> C2S_GetClubListRequest(this Session session)
		{
			using var C2S_GetClubListRequest_request = Fantasy.C2S_GetClubListRequest.Create();
			return (S2C_GetClubListResponse)await session.Call(C2S_GetClubListRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_JoinClubResponse> C2S_JoinClubRequest(this Session session, C2S_JoinClubRequest C2S_JoinClubRequest_request)
		{
			return (S2C_JoinClubResponse)await session.Call(C2S_JoinClubRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_JoinClubResponse> C2S_JoinClubRequest(this Session session, long clubId)
		{
			using var C2S_JoinClubRequest_request = Fantasy.C2S_JoinClubRequest.Create();
			C2S_JoinClubRequest_request.ClubId = clubId;
			return (S2C_JoinClubResponse)await session.Call(C2S_JoinClubRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_LeaveClubResponse> C2S_LeaveClubRequest(this Session session, C2S_LeaveClubRequest C2S_LeaveClubRequest_request)
		{
			return (S2C_LeaveClubResponse)await session.Call(C2S_LeaveClubRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_LeaveClubResponse> C2S_LeaveClubRequest(this Session session, long clubId)
		{
			using var C2S_LeaveClubRequest_request = Fantasy.C2S_LeaveClubRequest.Create();
			C2S_LeaveClubRequest_request.ClubId = clubId;
			return (S2C_LeaveClubResponse)await session.Call(C2S_LeaveClubRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_DissolveClubResponse> C2S_DissolveClubRequest(this Session session, C2S_DissolveClubRequest C2S_DissolveClubRequest_request)
		{
			return (S2C_DissolveClubResponse)await session.Call(C2S_DissolveClubRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_DissolveClubResponse> C2S_DissolveClubRequest(this Session session, long clubId)
		{
			using var C2S_DissolveClubRequest_request = Fantasy.C2S_DissolveClubRequest.Create();
			C2S_DissolveClubRequest_request.ClubId = clubId;
			return (S2C_DissolveClubResponse)await session.Call(C2S_DissolveClubRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_DisposeJoinResponse> C2S_DisposeJoinRequest(this Session session, C2S_DisposeJoinRequest C2S_DisposeJoinRequest_request)
		{
			return (S2C_DisposeJoinResponse)await session.Call(C2S_DisposeJoinRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static async FTask<S2C_DisposeJoinResponse> C2S_DisposeJoinRequest(this Session session, long clubId, long applicantId, int agree)
		{
			using var C2S_DisposeJoinRequest_request = Fantasy.C2S_DisposeJoinRequest.Create();
			C2S_DisposeJoinRequest_request.ClubId = clubId;
			C2S_DisposeJoinRequest_request.ApplicantId = applicantId;
			C2S_DisposeJoinRequest_request.Agree = agree;
			return (S2C_DisposeJoinResponse)await session.Call(C2S_DisposeJoinRequest_request);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void S2C_ClubChange(this Session session, S2C_ClubChange S2C_ClubChange_message)
		{
			session.Send(S2C_ClubChange_message);
		}
		[MethodImpl(MethodImplOptions.AggressiveInlining)]
		public static void S2C_ClubChange(this Session session, ClubInfo club, int changeType)
		{
			using var S2C_ClubChange_message = Fantasy.S2C_ClubChange.Create();
			S2C_ClubChange_message.Club = club;
			S2C_ClubChange_message.ChangeType = changeType;
			session.Send(S2C_ClubChange_message);
		}

   }
}